<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>TSSetProblemType</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="TSSetProblemType"><H1>TSSetProblemType</H1></A>
Sets the type of problem to be solved. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscts.h"  
PetscErrorCode PETSCTS_DLLEXPORT TSSetProblemType(TS ts, TSProblemType type) 
</PRE>
Not collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>ts   </B></TD><TD>- The <A HREF="../TS/TS.html#TS">TS</A>
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>type </B></TD><TD>- One of TS_LINEAR, TS_NONLINEAR where these types refer to problems of the forms
</TD></TR></TABLE>
<PRE>
         U_t = A U    
         U_t = A(t) U 
         U_t = F(t,U) 
</PRE>

<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../TS/TS.html#TS">TS</A>, problem type
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../TS/TSSetUp.html#TSSetUp">TSSetUp</A>(), <A HREF="../TS/TSProblemType.html#TSProblemType">TSProblemType</A>, <A HREF="../TS/TS.html#TS">TS</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ts/interface/ts.c.html#TSSetProblemType">src/ts/interface/ts.c</A>
<BR><A HREF="./index.html">Index of all TS routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/ts/examples/tutorials/ex1.c.html">src/ts/examples/tutorials/ex1.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex2.c.html">src/ts/examples/tutorials/ex2.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex3.c.html">src/ts/examples/tutorials/ex3.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex4.c.html">src/ts/examples/tutorials/ex4.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex5.c.html">src/ts/examples/tutorials/ex5.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex6.c.html">src/ts/examples/tutorials/ex6.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex7.c.html">src/ts/examples/tutorials/ex7.c.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex1f.F.html">src/ts/examples/tutorials/ex1f.F.html</A><BR>
<A HREF="../../../src/ts/examples/tutorials/ex2f.F.html">src/ts/examples/tutorials/ex2f.F.html</A><BR>
</BODY></HTML>
